rPSA-2010-0012-1 postgresql postgresql-contrib postgresql-server Mar 07 2010 01:59PM
rPath Update Announcements (announce-noreply rpath com)
rPath Security Advisory: 2010-0012-1
Published: 2010-03-07
Products:
rPath Appliance Platform Linux Service 1
rPath Appliance Platform Linux Service 2
rPath Linux 1
rPath Linux 2

Rating: Severe
Exposure Level Classification:
Remote System User Deterministic Privilege Escalation
Updated Versions:
postgresql=conary.rpath.com@rpl:1/8.1.19-0.1-1
postgresql=conary.rpath.com@rpl:2/8.3.9-0.1-1
postgresql-contrib=conary.rpath.com@rpl:2/8.3.9-0.1-1
postgresql-server=conary.rpath.com@rpl:1/8.1.19-0.1-1
postgresql-server=conary.rpath.com@rpl:2/8.3.9-0.1-1

rPath Issue Tracking System:
https://issues.rpath.com/browse/RPL-3125
https://issues.rpath.com/browse/RPL-3181

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-4034
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-4136
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-3229
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-3230
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-3231

Description:
This update fixes several vulnerabilities in postgresql, the most severe
of which allows remote authenticated users to gain privileges via a table
with crafted index functions.

http://wiki.rpath.com/Advisories:rPSA-2010-0012

Copyright 2010 rPath, Inc.
This file is distributed under the terms of the MIT License.
A copy is available at http://www.rpath.com/permanent/mit-license.html

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus